/*
 * Copyright (c) 2017, 2018, Oracle and/or its affiliates.  All rights reserved.
 *
 * This software is dual-licensed to you under the MIT License (MIT) and 
 * the Universal Permissive License (UPL).  See the LICENSE file in the root
 * directory for license terms.  You may choose either license, or both.
 */
//com.oracle.iot.client.impl.enterprise

import Foundation

/**
 * The `StorageConnection` transfers content to the Storage Cloud Service.
 * Service.
 * There is one `StorageConnection' instance per client.
 */
public class StorageConnectionImpl : StorageConnectionBase {

    public override init(secureConnection:SecureConnection) {
        super.init(secureConnection:secureConnection)
    }

    public override func createStorageObject(storageContainerUrl:String, name:String,
             contentType:String?, encoding:String?, date:String?,
             length:Int, mutable:Bool) -> AdvancedStorageObject {

        return StorageObjectDelegate(storageConnection:self,
                uri:storageContainerUrl, name:name,
                contentType:contentType, contentEncoding:encoding,
                dateOfLastModification:date, length:length, mutable:mutable)
    }
}
