/*
 * Copyright (c) 2017, 2018, Oracle and/or its affiliates.  All rights reserved.
 *
 * This software is dual-licensed to you under the MIT License (MIT) and
 * the Universal Permissive License (UPL).  See the LICENSE file in the root
 * directory for license terms.  You may choose either license, or both.
 */

// com.oracle.iot.client.impl.enterprise

import Foundation

/**
 * `StorageObjectDelegate` extends `StorageObjectDelegateBase`. This
 * is the enterprise library version of this class. It is instantiated by
 * `StorageConnectionImpl`.
 */
class StorageObjectDelegate : StorageObjectDelegateBase {

    override init(storageConnection:StorageConnection, uri:String, name:String,
                                 contentType:String?, contentEncoding:String?,
                                 dateOfLastModification:String?, length:Int,
                                 mutable:Bool) {

        super.init(storageConnection:storageConnection, uri:uri, name:name, 
                   contentType:contentType, contentEncoding:contentEncoding,
                   dateOfLastModification:dateOfLastModification,
                   length:length, mutable:mutable)
    }
}
